# this is the script to tftp the support data to the CP
#!/bin/sh
#exec > /dev/null 2>&1

SERVER=$1
TYPE=$2
RDIR=$3
RFILE=$4
ROOTDIR=/
CD=cd
DBGCMD=""
TAR="tar -cvf"
CAT=cat
RM=rm
ECHO=echo
GZIP=gzip
LDIR=/tftpboot
TARFILE=local.tar
GZIPFILE=local.tar.gz
DUMPTARFILE=dump.local.tar
DUMPGZIPFILE=dump.local.tar.gz

#setup enviroment
LD_LIBRARY_PATH=/fabos/lib:/lib
export LD_LIBRARY_PATH
$CD $ROOTDIR


#
# debug routine to show dot for each CLI
#
#
cmd_dot() {
echo -n . > $TTY
#sslog=`/usr/bin/expr $sslog + 1`
#/bin/echo "$sslog" >> $sslogfile
#/bin/echo "$1 $2 $3 $4 $5 $6 $7 $8 $9"  >> $sslogfile
$1 $2 $3 $4 $5 $6 $7 $8 $9
}


# remove core files
if [ "${TYPE}" = "remove" ]
then
	$ECHO "remove files under /core_files/ and /mnt/core_files/ on BP"
	$CD /
	$RM -rf /core_files/*/*
	$RM -rf /mnt/core_files/*/*
	exit
fi

if [ "${TYPE}" = "dump" ]
then
#	$ECHO "prepare dump file"
	$CD /
	ls var/*.npc && $TAR $LDIR/$DUMPTARFILE var/tracedump.dmp var/*.npc || $TAR $LDIR/$DUMPTARFILE var/tracedump.dmp 
	$GZIP $LDIR/$DUMPTARFILE
	ln -s $LDIR/$DUMPGZIPFILE $RDIR/$RFILE 
	#cd to that dir first
	$CD $RDIR
	rcp $LDIR/$RFILE root@$SERVER:$RDIR/$RFILE
	rm $LDIR/$DUMPGZIPFILE
	rm $RDIR/$RFILE
	exit
fi


# I don't think this is used anymore -- Ray Tsai
if [ "${TYPE}" = "support" ]
then
	DBGCMD="cmd_dot"
	#echo "SupportSave - supportshow" > $sslogfile
	TTY=$(tty)

	$ECHO "prepare support file"
	$CD /	
	$DBGCMD /bin/cp /var/tracedump.dmp /tmp/old.tracedump.dmp
        $DBGCMD /fabos/sbin/trace dumpss 
        $DBGCMD /bin/cp /var/tracedump.dmp /tmp/new.tracedump.dmp
	$DBGCMD /fabos/sbin/trace dumpremove
        $DBGCMD /fabos/sbin/errdumpall > /tmp/errdumpall.txt
	$DBGCMD /fabos/bin/supportencode -i /tmp/errdumpall.txt -o /tmp/errdumpall.ss
        $DBGCMD $CAT /proc/consolelog > /tmp/consolelog
	$DBGCMD $CAT /fabos/bin/ck4350 > /tmp/ck4350log
	i=0
	while [ $i -le 7 ]
	do
		echo $i > /proc/fabos/flpr_regs
		$DBGCMD $CAT /proc/fabos/flpr_regs >> /var/iflpr_regdump.txt
		i=`expr $i + 1`
	done
	ls var/*.npc && $TAR $LDIR/$TARFILE tmp/old.tracedump.dmp tmp/new.tracedump.dmp \
        core_files mnt/core_files var/*.npc tmp/consolelog tmp/ck4350log tmp/errdumpall.ss var/iflpr_regdump.txt || \
	$TAR $LDIR/$TARFILE tmp/old.tracedump.dmp tmp/new.tracedump.dmp core_files mnt/core_files \
        tmp/consolelog tmp/ck4350log tmp/errdumpall.ss var/iflpr_regdump.txt 
	$DBGCMD $GZIP $LDIR/$TARFILE
	$RM -rf /tmp/ck4350log	
	$RM -rf /tmp/old.tracedump.dmp
	$RM -rf /tmp/new.tracedump.dmp
        $RM -rf /tmp/errdumpall.txt
	$RM -rf /tmp/errdumpall.ss
        $RM -rf /core_files/*/*
	$RM -rf /mnt/core_files/*/*
	$RM -rf /var/iflpr_regdump.txt
        $RM -rf /tmp/consolelog 
	ln -s $LDIR/$GZIPFILE $RDIR/$RFILE 
	#cd to that dir first
	$CD $RDIR
	tftp $SERVER<<-DONE
	    put $RDIR/$RFILE
	DONE
	rm $LDIR/$GZIPFILE
	rm $RDIR/$RFILE
	exit
fi

